Skip to content

AI scoring models and company scores.

List AI scoring models

Request

The live AI scoring models available to your organization. Draft models are not returned.

Use a returned model_id with POST /v2/companies/score. It is stable across re-publish; model_version_id identifies the published version that would score today.

Security
authorization
curl -i -X GET \
  https://api.hginsights.com/data-api/v2/scoring/models \
  -H 'Authorization: Bearer <YOUR_API_KEY_HERE>'

Responses

Scoring Models Response

Bodyapplication/json
countintegerrequired

Number of live models returned

Example:1
modelsArray of objectsrequired
Example:
[ { "model_id": "7e347cba", "model_name": "Enterprise ICP", "model_version_id": "b1c2d3e4", "version": 3 } ]
Response
{ "count": 1, "models": [ { … } ] }